Bug 472801 - bugzilla should require perl(Image::Magick)
bugzilla should require perl(Image::Magick)
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: bugzilla (Show other bugs)
el5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Itamar Reis Peixoto
Fedora Extras Quality Assurance
ActualBug
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-24 13:29 EST by Petr Sklenar
Modified: 2010-09-27 08:00 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-09-27 08:00:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Sklenar 2008-11-24 13:29:23 EST
Description of problem:
I set up bugzilla and it shows error, but I don't know if it is error of bugzilla/perl or mod_perl. 

Version-Release number of selected component (if applicable):
perl-5.8.8-18.el5
mod_perl-2.0.4-6.el5
bugzilla-3.0.2-0.el5


How reproducible:
always

Steps to Reproduce:
1. start bugzilla
in bugzilla, admin account,
in editparams preferences, click Attachments and turn all to "ON", click "Save
changes", then it writes: invalid parameters.
i used bugzilla-3.0.2-0.el5 from
http://download.fedora.redhat.com/pub/epel/5/

The new value for convert_uncompressed_images is invalid: Error requiring
Image::Magick: 'Can't locate Image/Magick.pm in @INC (@INC contains: .
/usr/share/bugzilla /usr/share/bugzilla/lib
/usr/lib64/perl5/site_perl/5.8.8/x86_64-linux-thread-multi
/usr/lib64/perl5/site_perl/5.8.7/x86_64-linux-thread-multi
/usr/lib64/perl5/site_perl/5.8.6/x86_64-linux-thread-multi
/usr/lib64/perl5/site_perl/5.8.5/x86_64-linux-thread-multi
/usr/lib/perl5/site_perl/5.8.8 /usr/lib/perl5/site_perl/5.8.7
/usr/lib/perl5/site_perl/5.8.6 /usr/lib/perl5/site_perl/5.8.5
/usr/lib/perl5/site_perl
/usr/lib64/perl5/vendor_perl/5.8.8/x86_64-linux-thread-multi
/usr/lib64/perl5/vendor_perl/5.8.7/x86_64-linux-thread-multi
/usr/lib64/perl5/vendor_perl/5.8.6/x86_64-linux-thread-multi
/usr/lib64/perl5/vendor_perl/5.8.5/x86_64-linux-thread-multi
/usr/lib/perl5/vendor_perl/5.8.8 /usr/lib/perl5/vendor_perl/5.8.7
/usr/lib/perl5/vendor_perl/5.8.6 /usr/lib/perl5/vendor_perl/5.8.5
/usr/lib/perl5/vendor_perl /usr/lib64/perl5/5.8.8/x86_64-linux-thread-multi
/usr/lib/perl5/5.8.8 /etc/httpd) at (eval 198) line 3.


Actual results:
error

Expected results:
works and set up checkboxed

Additional info:
you can try it on
http://xen64.englab.brq.redhat.com/bugzilla/editparams.cgi:
with adminlogin: psklenar@redhat.com and password "bugs"
Comment 3 Radek Bíba 2008-11-24 14:24:32 EST
Looks like package ImageMagick-perl is missing on the system. If so and if installing it makes things work, it should be a dependency of package bugzilla. Could you please check it, Petr?
Comment 4 Petr Sklenar 2008-11-24 14:38:01 EST
yes, you are right, when I installed ImageMagick-perl-6.2.8.0-4.el5_1.1, then it works without error.
Comment 5 Michael Stahnke 2009-06-19 17:40:21 EDT
Is this a requires issue, or was it an isolated case?
Comment 6 Itamar Reis Peixoto 2009-07-09 01:12:25 EDT
Can you try the new version of bugzilla ?

http://koji.fedoraproject.org/koji/buildinfo?buildID=113485
Comment 7 Itamar Reis Peixoto 2009-07-27 17:24:09 EDT
Can you test bugzilla 3.2.4 ?
Comment 8 Petr Sklenar 2009-07-28 05:38:01 EDT
ONQA: bugzilla-3.2.4-1.el5.noarch.rpm
Comment 9 Mark Chappell 2010-09-14 11:37:01 EDT
Petr Sklenar,

Did 3.2.4-1 solve the issue for you?
Comment 10 Mark Chappell 2010-09-27 08:00:38 EDT
Two weeks with no response, closing this bug off as assumed fixed in bugzilla-3.2.4-2.el5.

Note You need to log in before you can comment on or make changes to this bug.